SparseMatrix.h File Reference
`#include "Pattern.h"`

Go to the source code of this file.

## Classes

struct | paso::SparseMatrix

## Namespaces

| paso

## Typedefs

typedef boost::shared_ptr< SparseMatrix > | paso::SparseMatrix_ptr
typedef boost::shared_ptr< const SparseMatrix > | paso::const_SparseMatrix_ptr
typedef int | paso::SparseMatrixType

## Functions

void | paso::SparseMatrix_MatrixVector_CSC_OFFSET0 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSC_OFFSET1 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET1 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0_DIAG (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
SparseMatrix_ptr | paso::SparseMatrix_MatrixMatrix (const_SparseMatrix_ptr A, const_SparseMatrix_ptr B)
SparseMatrix_ptr | paso::SparseMatrix_MatrixMatrixTranspose (const_SparseMatrix_ptr A, const_SparseMatrix_ptr B, const_SparseMatrix_ptr T)